---
title: "Delete event subscription"
url: "https://docs.signnow.com/docs/webhooks-1/operations/delete__api_v2_events_event_subscription_id"
type: "endpoint"
section: "webhooks-1"
slug: "webhooks-1/operations/delete__api_v2_events_event_subscription_id"
method: "DELETE"
path: "/api/v2/events/{event_subscription_id}"
operation_id: "delete__api_v2_events_event_subscription_id"
authorization: "basic"
---

# Delete event subscription

`DELETE /api/v2/events/{event_subscription_id}`

Unsubscribes an external service (callback_url) from specific events of user or document

## Authorization

basic

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `event_subscription_id` | string | Yes |  |

## Responses

### 204

### 403

**For basic auth:**

Application id which is used for request differs from application id created given event subscription.

**For bearer auth:**

The event subscription was created by another user

**Example** (`application/json`)

```json
{
  "message": "Unsubscription from event is not allowed"
}
```

### 404

Value of "uniqueEventId" doesn't exist in database

**Example** (`application/json`)

```json
{
  "message": "UserEventSubscription `uniqueEventId` not found"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/api/v2/events/{event_subscription_id}" \
  -H "Authorization: Basic $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/webhooks-1/operations/delete__api_v2_events_event_subscription_id*
